## Errors Errors — Common errors in the API. |

## Types and Values

enum | MMConnectionError
enum | MMCoreError
enum | MMMessageError
enum | MMMobileEquipmentError
enum | MMSerialError
enum | MMCdmaActivationError

## Description

This section defines errors that may be reported when using methods from the ModemManager interface.

## Functions

## Types and Values

### enum MMConnectionError

Connection errors that may be reported by ModemManager.

#### Members

MM_CONNECTION_ERROR_UNKNOWN | Unknown connection error. |
MM_CONNECTION_ERROR_NO_CARRIER | No carrier. |
MM_CONNECTION_ERROR_NO_DIALTONE | No dialtone. |
MM_CONNECTION_ERROR_BUSY | Busy. |
MM_CONNECTION_ERROR_NO_ANSWER | No answer. |

### enum MMCoreError

Common errors that may be reported by ModemManager.

#### Members

MM_CORE_ERROR_FAILED | Operation failed. |
MM_CORE_ERROR_CANCELLED | Operation was cancelled. |
MM_CORE_ERROR_ABORTED | Operation was aborted. |
MM_CORE_ERROR_UNSUPPORTED | Operation is not supported. |
MM_CORE_ERROR_NO_PLUGINS | Cannot operate without valid plugins. |
MM_CORE_ERROR_UNAUTHORIZED | Authorization is required to perform the operation. |
MM_CORE_ERROR_INVALID_ARGS | Invalid arguments given. |
MM_CORE_ERROR_IN_PROGRESS | Operation is already in progress. |
MM_CORE_ERROR_WRONG_STATE | Operation cannot be executed in the current state. |
MM_CORE_ERROR_CONNECTED | Operation cannot be executed while being connected. |
MM_CORE_ERROR_TOO_MANY | Too many items. |
MM_CORE_ERROR_NOT_FOUND | Item not found. |
MM_CORE_ERROR_RETRY | Operation cannot yet be performed, retry later. |
MM_CORE_ERROR_EXISTS | Item already exists. |

### enum MMMessageError

Enumeration of message errors, as defined in 3GPP TS 27.005 version 10 section 3.2.5.

#### Members

MM_MESSAGE_ERROR_ME_FAILURE | ME failure. |
MM_MESSAGE_ERROR_SMS_SERVICE_RESERVED | SMS service reserved. |
MM_MESSAGE_ERROR_NOT_ALLOWED | Operation not allowed. |
MM_MESSAGE_ERROR_NOT_SUPPORTED | Operation not supported. |
MM_MESSAGE_ERROR_INVALID_PDU_PARAMETER | Invalid PDU mode parameter. |
MM_MESSAGE_ERROR_INVALID_TEXT_PARAMETER | Invalid text mode parameter. |
MM_MESSAGE_ERROR_SIM_NOT_INSERTED | SIM not inserted. |
MM_MESSAGE_ERROR_SIM_PIN | SIM PIN required. |
MM_MESSAGE_ERROR_PH_SIM_PIN | PH-SIM PIN required. |
MM_MESSAGE_ERROR_SIM_FAILURE | SIM failure. |
MM_MESSAGE_ERROR_SIM_BUSY | SIM busy. |
MM_MESSAGE_ERROR_SIM_WRONG | SIM wrong. |
MM_MESSAGE_ERROR_SIM_PUK | SIM PUK required. |
MM_MESSAGE_ERROR_SIM_PIN2 | SIM PIN2 required. |
MM_MESSAGE_ERROR_SIM_PUK2 | SIM PUK2 required. |
MM_MESSAGE_ERROR_MEMORY_FAILURE | Memory failure. |
MM_MESSAGE_ERROR_INVALID_INDEX | Invalid index. |
MM_MESSAGE_ERROR_MEMORY_FULL | Memory full. |
MM_MESSAGE_ERROR_SMSC_ADDRESS_UNKNOWN | SMSC address unknown. |
MM_MESSAGE_ERROR_NO_NETWORK | No network. |
MM_MESSAGE_ERROR_NETWORK_TIMEOUT | Network timeout. |
MM_MESSAGE_ERROR_NO_CNMA_ACK_EXPECTED | No CNMA Acknowledgement expected. |
MM_MESSAGE_ERROR_UNKNOWN | Unknown error. |

### enum MMMobileEquipmentError

Enumeration of Mobile Equipment errors, as defined in 3GPP TS 07.07 version 7.8.0.

#### Members

MM_MOBILE_EQUIPMENT_ERROR_PHONE_FAILURE | Phone failure. |
MM_MOBILE_EQUIPMENT_ERROR_NO_CONNECTION | No connection to phone. |
MM_MOBILE_EQUIPMENT_ERROR_LINK_RESERVED | Phone-adaptor link reserved. |
MM_MOBILE_EQUIPMENT_ERROR_NOT_ALLOWED | Operation not allowed. |
MM_MOBILE_EQUIPMENT_ERROR_NOT_SUPPORTED | Operation not supported. |
MM_MOBILE_EQUIPMENT_ERROR_PH_SIM_PIN | PH-SIM PIN required. |
MM_MOBILE_EQUIPMENT_ERROR_PH_FSIM_PIN | PH-FSIM PIN required. |
MM_MOBILE_EQUIPMENT_ERROR_PH_FSIM_PUK | PH-FSIM PUK required. |
MM_MOBILE_EQUIPMENT_ERROR_SIM_NOT_INSERTED | SIM not inserted. |
MM_MOBILE_EQUIPMENT_ERROR_SIM_PIN | SIM PIN required. |
MM_MOBILE_EQUIPMENT_ERROR_SIM_PUK | SIM PUK required. |
MM_MOBILE_EQUIPMENT_ERROR_SIM_FAILURE | SIM failure. |
MM_MOBILE_EQUIPMENT_ERROR_SIM_BUSY | SIM busy. |
MM_MOBILE_EQUIPMENT_ERROR_SIM_WRONG | SIM wrong. |
MM_MOBILE_EQUIPMENT_ERROR_INCORRECT_PASSWORD | Incorrect password. |
MM_MOBILE_EQUIPMENT_ERROR_SIM_PIN2 | SIM PIN2 required. |
MM_MOBILE_EQUIPMENT_ERROR_SIM_PUK2 | SIM PUK2 required. |
MM_MOBILE_EQUIPMENT_ERROR_MEMORY_FULL | Memory full. |
MM_MOBILE_EQUIPMENT_ERROR_INVALID_INDEX | Invalid index. |
MM_MOBILE_EQUIPMENT_ERROR_NOT_FOUND | Not found. |
MM_MOBILE_EQUIPMENT_ERROR_MEMORY_FAILURE | Memory failure. |
MM_MOBILE_EQUIPMENT_ERROR_TEXT_TOO_LONG | Text string too long. |
MM_MOBILE_EQUIPMENT_ERROR_INVALID_CHARS | Invalid characters in text string. |
MM_MOBILE_EQUIPMENT_ERROR_DIAL_STRING_TOO_LONG | Dial string too long. |
MM_MOBILE_EQUIPMENT_ERROR_DIAL_STRING_INVALID | Invalid characters in dial string. |
MM_MOBILE_EQUIPMENT_ERROR_NO_NETWORK | No network service. |
MM_MOBILE_EQUIPMENT_ERROR_NETWORK_TIMEOUT | Network timeout. |
MM_MOBILE_EQUIPMENT_ERROR_NETWORK_NOT_ALLOWED | Network not allowed - Emergency calls only. |
MM_MOBILE_EQUIPMENT_ERROR_NETWORK_PIN | Network personalisation PIN required. |
MM_MOBILE_EQUIPMENT_ERROR_NETWORK_PUK | Network personalisation PUK required. |
MM_MOBILE_EQUIPMENT_ERROR_NETWORK_SUBSET_PIN | Network subset personalisation PIN required. |
MM_MOBILE_EQUIPMENT_ERROR_NETWORK_SUBSET_PUK | Network subset personalisation PUK required. |
MM_MOBILE_EQUIPMENT_ERROR_SERVICE_PIN | Service provider personalisation PIN required. |
MM_MOBILE_EQUIPMENT_ERROR_SERVICE_PUK | Service provider personalisation PUK required. |
MM_MOBILE_EQUIPMENT_ERROR_CORP_PIN | Corporate personalisation PIN required. |
MM_MOBILE_EQUIPMENT_ERROR_CORP_PUK | Corporate personalisation PUK required. |
MM_MOBILE_EQUIPMENT_ERROR_UNKNOWN | Unknown. |
MM_MOBILE_EQUIPMENT_ERROR_GPRS_IMSI_UNKNOWN_IN_HLR | IMSI unknown in HLR. |
MM_MOBILE_EQUIPMENT_ERROR_GPRS_ILLEGAL_MS | Illegal MS. |
MM_MOBILE_EQUIPMENT_ERROR_GPRS_IMSI_UNKNOWN_IN_VLR | IMSI unknown in VLR. |
MM_MOBILE_EQUIPMENT_ERROR_GPRS_ILLEGAL_ME | Illegal ME. |
MM_MOBILE_EQUIPMENT_ERROR_GPRS_SERVICE_NOT_ALLOWED | GPRS service not allowed. |
MM_MOBILE_EQUIPMENT_ERROR_GPRS_PLMN_NOT_ALLOWED | PLMN not allowed. |
MM_MOBILE_EQUIPMENT_ERROR_GPRS_LOCATION_NOT_ALLOWED | Location area not allowed. |
MM_MOBILE_EQUIPMENT_ERROR_GPRS_ROAMING_NOT_ALLOWED | Roaming not allowed in this location area. |
MM_MOBILE_EQUIPMENT_ERROR_GPRS_NO_CELLS_IN_LOCATION_AREA | No cells in this location area. |
MM_MOBILE_EQUIPMENT_ERROR_GPRS_NETWORK_FAILURE | Network failure. |
MM_MOBILE_EQUIPMENT_ERROR_GPRS_CONGESTION | Congestion. |
MM_MOBILE_EQUIPMENT_ERROR_GPRS_INSUFFICIENT_RESOURCES | Insufficient resources. |
MM_MOBILE_EQUIPMENT_ERROR_GPRS_MISSING_OR_UNKNOWN_APN | Missing or unknown APN. |
MM_MOBILE_EQUIPMENT_ERROR_GPRS_USER_AUTHENTICATION_FAILED | User authentication failed. |
MM_MOBILE_EQUIPMENT_ERROR_GPRS_SERVICE_OPTION_NOT_SUPPORTED | Service option not supported. |
MM_MOBILE_EQUIPMENT_ERROR_GPRS_SERVICE_OPTION_NOT_SUBSCRIBED | Requested service option not subscribed. |
MM_MOBILE_EQUIPMENT_ERROR_GPRS_SERVICE_OPTION_OUT_OF_ORDER | Service option temporarily out of order. |
MM_MOBILE_EQUIPMENT_ERROR_GPRS_UNKNOWN | Unspecified GPRS error. |
MM_MOBILE_EQUIPMENT_ERROR_GPRS_PDP_AUTH_FAILURE | PDP authentication failure. |
MM_MOBILE_EQUIPMENT_ERROR_GPRS_INVALID_MOBILE_CLASS | Invalid mobile class. |

### enum MMSerialError

Serial errors that may be reported by ModemManager.

#### Members

MM_SERIAL_ERROR_UNKNOWN | Unknown serial error. |
MM_SERIAL_ERROR_OPEN_FAILED | Could not open the serial device. |
MM_SERIAL_ERROR_SEND_FAILED | Could not write to the serial device. |
MM_SERIAL_ERROR_RESPONSE_TIMEOUT | A response was not received on time. |
MM_SERIAL_ERROR_OPEN_FAILED_NO_DEVICE | Could not open the serial port, no device. |
MM_SERIAL_ERROR_FLASH_FAILED | Could not flash the device. |
MM_SERIAL_ERROR_NOT_OPEN | The serial port is not open. |
MM_SERIAL_ERROR_PARSE_FAILED | The serial port specific parsing failed. |
MM_SERIAL_ERROR_FRAME_NOT_FOUND | The serial port reported that the frame marker wasn't found (e.g. for QCDM). |

### enum MMCdmaActivationError

CDMA Activation errors.

#### Members

MM_CDMA_ACTIVATION_ERROR_NONE | No error. |
MM_CDMA_ACTIVATION_ERROR_UNKNOWN | An error occurred. |
MM_CDMA_ACTIVATION_ERROR_ROAMING | Device cannot activate while roaming. |
MM_CDMA_ACTIVATION_ERROR_WRONG_RADIO_INTERFACE | Device cannot activate on this network type (eg EVDO vs 1xRTT). |
MM_CDMA_ACTIVATION_ERROR_COULD_NOT_CONNECT | Device could not connect to the network for activation. |
MM_CDMA_ACTIVATION_ERROR_SECURITY_AUTHENTICATION_FAILED | Device could not authenticate to the network for activation. |
MM_CDMA_ACTIVATION_ERROR_PROVISIONING_FAILED | Later stages of device provisioning failed. |
MM_CDMA_ACTIVATION_ERROR_NO_SIGNAL | No signal available. |
MM_CDMA_ACTIVATION_ERROR_TIMED_OUT | Activation timed out. |
MM_CDMA_ACTIVATION_ERROR_START_FAILED | API call for initial activation failed. |